JUCE: Block::ConfigMetaData Struct Reference

JUCE

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Block::ConfigMetaData Struct Reference

Metadata for a given config item. More...

## Public Types
enum | ConfigType { ConfigType::integer, ConfigType::floating, ConfigType::boolean, ConfigType::colour, ConfigType::options }

## Public Member Functions
| ConfigMetaData ()=default
| ConfigMetaData (uint32 itemIndex, int32 itemValue, Range< int32 > rangeToUse, bool active, const char *itemName, ConfigType itemType, const char *options[ConfigMetaData::numOptionNames], const char *groupName)
| ConfigMetaData (const ConfigMetaData &other)
const ConfigMetaData & | operator= (const ConfigMetaData &other)
bool | operator== (const ConfigMetaData &other) const
bool | operator!= (const ConfigMetaData &other) const

## Public Attributes
uint32 | item = 0
int32 | value = 0
Range< int32 > | range
bool | isActive = false
String | name
ConfigType | type = ConfigType::integer
String | optionNames [numOptionNames] = {}
String | group

## Static Public Attributes
static constexpr int32 | numOptionNames = 16

## Detailed Description

Metadata for a given config item.

## Member Enumeration Documentation

## ◆ ConfigType

enum Block::ConfigMetaData::ConfigType
| strong

Enumerator
integer |
floating |
boolean |
colour |
options |

## Constructor & Destructor Documentation

## ◆ ConfigMetaData() [1/3]

Block::ConfigMetaData::ConfigMetaData | ( |  | ) |
| default

## ◆ ConfigMetaData() [2/3]

Block::ConfigMetaData::ConfigMetaData | ( | uint32 | itemIndex,
|  | int32 | itemValue,
|  | Range< int32 > | rangeToUse,
|  | bool | active,
|  | const char * | itemName,
|  | ConfigType | itemType,
|  | const char * | options[ConfigMetaData::numOptionNames],
|  | const char * | groupName
| ) |  |

References numOptionNames, and optionNames.

## ◆ ConfigMetaData() [3/3]

Block::ConfigMetaData::ConfigMetaData | ( | const ConfigMetaData & | other | ) |

## Member Function Documentation

## ◆ operator=()

const ConfigMetaData& Block::ConfigMetaData::operator= | ( | const ConfigMetaData & | other | ) |

References group, isActive, item, name, numOptionNames, optionNames, range, type, and value.

## ◆ operator==()

bool Block::ConfigMetaData::operator== | ( | const ConfigMetaData & | other | ) | const

References group, isActive, item, name, numOptionNames, optionNames, range, and value.

## ◆ operator!=()

bool Block::ConfigMetaData::operator!= | ( | const ConfigMetaData & | other | ) | const

## Member Data Documentation

## ◆ numOptionNames

constexpr int32 Block::ConfigMetaData::numOptionNames = 16
| staticconstexpr

Referenced by ConfigMetaData(), operator=(), and operator==().

## ◆ item

uint32 Block::ConfigMetaData::item = 0

Referenced by operator=(), and operator==().

## ◆ value

int32 Block::ConfigMetaData::value = 0

Referenced by operator=(), and operator==().

## ◆ range

Range<int32> Block::ConfigMetaData::range

Referenced by operator=(), and operator==().

## ◆ isActive

bool Block::ConfigMetaData::isActive = false

Referenced by operator=(), and operator==().

## ◆ name

String Block::ConfigMetaData::name

Referenced by operator=(), and operator==().

## ◆ type

ConfigType Block::ConfigMetaData::type = ConfigType::integer

Referenced by operator=().

## ◆ optionNames

String Block::ConfigMetaData::optionNames[numOptionNames] = {}

Referenced by ConfigMetaData(), operator=(), and operator==().

## ◆ group

String Block::ConfigMetaData::group

Referenced by operator=(), and operator==().

The documentation for this struct was generated from the following file:

- juce_Block.h